# SheetJS + React Native Demo

Complete Reproduction of <https://docs.sheetjs.com/docs/demos/mobile/reactnative#demo>

The demo showcases a number of plugins. They are in different branches:

- ["RNBU" for `react-native-blob-util`](https://git.sheetjs.com/sheetjs/sheetjs-rn/src/branch/RNBU)
- ["RNFA" for `react-native-file-access`](https://git.sheetjs.com/sheetjs/sheetjs-rn/src/branch/RNFA)
- ["RNFB" for `rn-fetch-blob`](https://git.sheetjs.com/sheetjs/sheetjs-rn/src/branch/RNFB)
- ["RNFS" for `react-native-fs`](https://git.sheetjs.com/sheetjs/sheetjs-rn/src/branch/RNFS)
- ["EXPO" for `expo-file-system`](https://git.sheetjs.com/sheetjs/sheetjs-rn/src/branch/EXPO)

To test a particular branch:

1) Switch to the particular branch.  For example, to switch to RNBU:

```bash
git checkout RNBU
```

2) Build dependencies:

```bash
npm i
```

### iOS

3) (iOS only) link iOS project

```bash
cd ios; pod install; cd ..
```

4) run the development process:

```bash
npx react-native run-ios
```

### Android

5) ensure Java 11 is the current version 

6) run the development process:

```bash
npx react-native run-android
```

